Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class MarkupElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.MarkupElement

Direct Known Subclasses:
  AlignType, AnchorType, BorderstyleType, ClearType, FieldType, FrameType, MediaType, MimeType, RulesType, ScrollType, SpacerType, TextAlignType, WindowName, WrapType

public class MarkupElement
extends HtmlElement

This class encapsulates certain HTML markup elements for an htmlKona canvas. MarkupElements include designations for page divisions (head, body, title, etc.), font attributes (bold, italic, center), and other page markings.

The String variables in this class are for internal use only. Use a MarkupElement with any of the addElement() methods in other classes.

Author:
  Copyright (c) 1995-97 by WebLogic, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static MarkupElement` | `BeginAddress` Deprecated. Use with an addElement() method.
`static java.lang.String` | `BeginAddressStr` Deprecated. Internal use only.
`static MarkupElement` | `BeginBlockquote` Deprecated. Use with an addElement() method.
`static java.lang.String` | `BeginBlockquoteStr` Deprecated. Internal use only.
`static MarkupElement` | `BeginBody` Deprecated. Use with an addElement() method.
`static java.lang.String` | `BeginBodyStr` Deprecated. Internal use only.
`static MarkupElement` | `BeginBold` Deprecated. Use with an addElement() method.
`static java.lang.String` | `BeginBoldStr` Deprecated. Internal use only.
`static MarkupElement` | `BeginCenter` Deprecated. Use with an addElement() method.
`static java.lang.String` | `BeginCenterStr` Deprecated. Internal use only.
`static MarkupElement` | `BeginComment` Deprecated. Use with an addElement() method.
`static java.lang.String` | `BeginCommentStr` Deprecated. Internal use only.
`static MarkupElement` | `BeginDiv` Deprecated. Use with an addElement() method.
`static java.lang.String` | `BeginDivStr` Deprecated. Internal use only.
`static java.lang.String` | `BeginHeadStr` Deprecated. Internal use only.
`static MarkupElement` | `BeginHtml` Deprecated. Use with an addElement() method.
`static java.lang.String` | `BeginHtmlStr` Deprecated. Internal use only.
`static MarkupElement` | `BeginItalic` Deprecated. Use with an addElement() method.
`static java.lang.String` | `BeginItalicStr` Deprecated. Internal use only.
`static MarkupElement` | `BeginLiteral` Deprecated. Use with an addElement() method.
`static java.lang.String` | `BeginLiteralStr` Deprecated. Internal use only.
`static MarkupElement` | `BeginParagraph` Deprecated. Use with an addElement() method.
`static java.lang.String` | `BeginParagraphStr` Deprecated. Internal use only.
`static java.lang.String` | `BeginScriptStr` Deprecated. Internal use only.
`static MarkupElement` | `BeginTitle` Deprecated. Use with an addElement() method.
`static java.lang.String` | `BeginTitleStr` Deprecated. Internal use only.
`static MarkupElement` | `Break` Deprecated. Use with an addElement() method.
`static java.lang.String` | `BreakStr` Deprecated. Internal use only.
`protected java.lang.String` | `contents` Deprecated.
`static MarkupElement` | `CR` Deprecated. Use with an addElement() method.
`static java.lang.String` | `CRStr` Deprecated. Internal use only.
`static MarkupElement` | `EndAddress` Deprecated. Use with an addElement() method.
`static java.lang.String` | `EndAddressStr` Deprecated. Internal use only.
`static MarkupElement` | `EndBlockquote` Deprecated. Use with an addElement() method.
`static java.lang.String` | `EndBlockquoteStr` Deprecated. Internal use only.
`static MarkupElement` | `EndBody` Deprecated. Use with an addElement() method.
`static java.lang.String` | `EndBodyStr` Deprecated. Internal use only.
`static MarkupElement` | `EndBold` Deprecated. Use with an addElement() method.
`static java.lang.String` | `EndBoldStr` Deprecated. Internal use only.
`static MarkupElement` | `EndCenter` Deprecated. Use with an addElement() method.
`static java.lang.String` | `EndCenterStr` Deprecated. Internal use only.
`static MarkupElement` | `EndComment` Deprecated. Use with an addElement() method.
`static java.lang.String` | `EndCommentStr` Deprecated. Internal use only.
`static MarkupElement` | `EndDiv` Deprecated. Use with an addElement() method.
`static java.lang.String` | `EndDivStr` Deprecated. Internal use only.
`static MarkupElement` | `EndFont` Deprecated. Use with an addElement() method with BeginFont().
`static java.lang.String` | `EndFontStr` Deprecated. Internal use only.
`static java.lang.String` | `EndHeadStr` Deprecated. Internal use only.
`static MarkupElement` | `EndHtml` Deprecated. Use with an addElement() method.
`static java.lang.String` | `EndHtmlStr` Deprecated. Internal use only.
`static MarkupElement` | `EndItalic` Deprecated. Use with an addElement() method.
`static java.lang.String` | `EndItalicStr` Deprecated. Internal use only.
`static MarkupElement` | `EndLiteral` Deprecated. Use with an addElement() method.
`static java.lang.String` | `EndLiteralStr` Deprecated. Internal use only.
`static MarkupElement` | `EndParagraph` Deprecated. Use with an addElement() method.
`static java.lang.String` | `EndParagraphStr` Deprecated. Internal use only.
`static java.lang.String` | `EndScriptStr` Deprecated. Internal use only.
`static MarkupElement` | `EndTitle` Deprecated. Use with an addElement() method.
`static java.lang.String` | `EndTitleStr` Deprecated. Internal use only.
`static MarkupElement` | `HorizontalLine` Deprecated. Use with an addElement() method.
`static java.lang.String` | `HorizontalLineStr` Deprecated. Internal use only.
`static MarkupElement` | `HorizontalRule` Deprecated. Use with an addElement() method.
`static MarkupElement` | `NoBreak` Deprecated. Use with an addElement() method.
`static java.lang.String` | `NoBreakStr` Deprecated. Internal use only.
`static MarkupElement` | `WordBreak` Deprecated. Use with an addElement() method.
`static java.lang.String` | `WordBreakStr` Deprecated. Internal use only.

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`MarkupElement(java.lang.String val)` Deprecated.

Method Summary
`static MarkupElement` | `BeginFont(int val)` Deprecated. Increases or decreases the font size.
`static MarkupElement` | `BeginFontFace(java.lang.String face)` Deprecated. Sets a font face.
`static MarkupElement` | `BeginFontSize(int val)` Deprecated. Sets the font size to the specified integer.
`static MarkupElement` | `BeginHeader(int val)` Deprecated. Sets a heading size.
`static MarkupElement` | `EndHeader(int val)` Deprecated. Ends a heading container.
`void` | `output(java.io.OutputStream out)` Deprecated.
`void` | `output(java.io.OutputStream out, java.lang.String codeset)` Deprecated.
`void` | `output(java.io.PrintWriter pw)` Deprecated.
`MarkupElement` | `setContents(java.lang.String val)` Deprecated.

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString, widthAsLiteral`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BeginAddressStr

    public static java.lang.String BeginAddressStr

  Deprecated.
  Internal use only.

### EndAddressStr

    public static java.lang.String EndAddressStr

  Deprecated.
  Internal use only.

### BeginBlockquoteStr

    public static java.lang.String BeginBlockquoteStr

  Deprecated.
  Internal use only.

### EndBlockquoteStr

    public static java.lang.String EndBlockquoteStr

  Deprecated.
  Internal use only.

### BeginBodyStr

    public static java.lang.String BeginBodyStr

  Deprecated.
  Internal use only.

### EndBodyStr

    public static java.lang.String EndBodyStr

  Deprecated.
  Internal use only.

### BeginCenterStr

    public static java.lang.String BeginCenterStr

  Deprecated.
  Internal use only.

### EndCenterStr

    public static java.lang.String EndCenterStr

  Deprecated.
  Internal use only.

### BeginCommentStr

    public static java.lang.String BeginCommentStr

  Deprecated.
  Internal use only.

### EndCommentStr

    public static java.lang.String EndCommentStr

  Deprecated.
  Internal use only.

### BeginDivStr

    public static java.lang.String BeginDivStr

  Deprecated.
  Internal use only.

### EndDivStr

    public static java.lang.String EndDivStr

  Deprecated.
  Internal use only.

### BeginHeadStr

    public static java.lang.String BeginHeadStr

  Deprecated.
  Internal use only.

### EndHeadStr

    public static java.lang.String EndHeadStr

  Deprecated.
  Internal use only.

### BeginHtmlStr

    public static java.lang.String BeginHtmlStr

  Deprecated.
  Internal use only.

### EndHtmlStr

    public static java.lang.String EndHtmlStr

  Deprecated.
  Internal use only.

### BeginScriptStr

    public static java.lang.String BeginScriptStr

  Deprecated.
  Internal use only.

### EndScriptStr

    public static java.lang.String EndScriptStr

  Deprecated.
  Internal use only.

### BeginTitleStr

    public static java.lang.String BeginTitleStr

  Deprecated.
  Internal use only.

### EndTitleStr

    public static java.lang.String EndTitleStr

  Deprecated.
  Internal use only.

### BeginBoldStr

    public static java.lang.String BeginBoldStr

  Deprecated.
  Internal use only.

### EndBoldStr

    public static java.lang.String EndBoldStr

  Deprecated.
  Internal use only.

### BeginItalicStr

    public static java.lang.String BeginItalicStr

  Deprecated.
  Internal use only.

### EndItalicStr

    public static java.lang.String EndItalicStr

  Deprecated.
  Internal use only.

### BeginParagraphStr

    public static java.lang.String BeginParagraphStr

  Deprecated.
  Internal use only.

### EndParagraphStr

    public static java.lang.String EndParagraphStr

  Deprecated.
  Internal use only.

### BeginLiteralStr

    public static java.lang.String BeginLiteralStr

  Deprecated.
  Internal use only.

### EndLiteralStr

    public static java.lang.String EndLiteralStr

  Deprecated.
  Internal use only.

### EndFontStr

    public static java.lang.String EndFontStr

  Deprecated.
  Internal use only.

### BreakStr

    public static java.lang.String BreakStr

  Deprecated.
  Internal use only.

### CRStr

    public static java.lang.String CRStr

  Deprecated.
  Internal use only.

### HorizontalLineStr

    public static java.lang.String HorizontalLineStr

  Deprecated.
  Internal use only.

### NoBreakStr

    public static java.lang.String NoBreakStr

  Deprecated.
  Internal use only.

### WordBreakStr

    public static java.lang.String WordBreakStr

  Deprecated.
  Internal use only.

### Break

    public static MarkupElement Break

  Deprecated.
  Use with an addElement() method.

### CR

    public static MarkupElement CR

  Deprecated.
  Use with an addElement() method.

### HorizontalLine

    public static MarkupElement HorizontalLine

  Deprecated.
  Use with an addElement() method.

### HorizontalRule

    public static MarkupElement HorizontalRule

  Deprecated.
  Use with an addElement() method.

### NoBreak

    public static MarkupElement NoBreak

  Deprecated.
  Use with an addElement() method.

### WordBreak

    public static MarkupElement WordBreak

  Deprecated.
  Use with an addElement() method.

### BeginAddress

    public static MarkupElement BeginAddress

  Deprecated.
  Use with an addElement() method.

### EndAddress

    public static MarkupElement EndAddress

  Deprecated.
  Use with an addElement() method.

### BeginBlockquote

    public static MarkupElement BeginBlockquote

  Deprecated.
  Use with an addElement() method.

### EndBlockquote

    public static MarkupElement EndBlockquote

  Deprecated.
  Use with an addElement() method.

### BeginBold

    public static MarkupElement BeginBold

  Deprecated.
  Use with an addElement() method.

### EndBold

    public static MarkupElement EndBold

  Deprecated.
  Use with an addElement() method.

### BeginBody

    public static MarkupElement BeginBody

  Deprecated.
  Use with an addElement() method.

### EndBody

    public static MarkupElement EndBody

  Deprecated.
  Use with an addElement() method.

### BeginCenter

    public static MarkupElement BeginCenter

  Deprecated.
  Use with an addElement() method.

### EndCenter

    public static MarkupElement EndCenter

  Deprecated.
  Use with an addElement() method.

### BeginComment

    public static MarkupElement BeginComment

  Deprecated.
  Use with an addElement() method.

### EndComment

    public static MarkupElement EndComment

  Deprecated.
  Use with an addElement() method.

### BeginDiv

    public static MarkupElement BeginDiv

  Deprecated.
  Use with an addElement() method.

### EndDiv

    public static MarkupElement EndDiv

  Deprecated.
  Use with an addElement() method.

### BeginHtml

    public static MarkupElement BeginHtml

  Deprecated.
  Use with an addElement() method.

### EndHtml

    public static MarkupElement EndHtml

  Deprecated.
  Use with an addElement() method.

### BeginItalic

    public static MarkupElement BeginItalic

  Deprecated.
  Use with an addElement() method.

### EndItalic

    public static MarkupElement EndItalic

  Deprecated.
  Use with an addElement() method.

### BeginLiteral

    public static MarkupElement BeginLiteral

  Deprecated.
  Use with an addElement() method.

### EndLiteral

    public static MarkupElement EndLiteral

  Deprecated.
  Use with an addElement() method.

### BeginParagraph

    public static MarkupElement BeginParagraph

  Deprecated.
  Use with an addElement() method.

### EndParagraph

    public static MarkupElement EndParagraph

  Deprecated.
  Use with an addElement() method.

### BeginTitle

    public static MarkupElement BeginTitle

  Deprecated.
  Use with an addElement() method.

### EndTitle

    public static MarkupElement EndTitle

  Deprecated.
  Use with an addElement() method.

### EndFont

    public static MarkupElement EndFont

  Deprecated.
  Use with an addElement() method with BeginFont().

### contents

    protected java.lang.String contents

  Deprecated.

Constructor Detail

### MarkupElement

    public MarkupElement(java.lang.String val)

  Deprecated.

Method Detail

### BeginFont

    public static MarkupElement BeginFont(int val)

  Deprecated.
  Increases or decreases the font size. Use with a negative integer to decrease the font size. Obsolete in 2.1. Prefer a method in the FontElement class.

  Parameters:
    `val` - Font size with "+" or "-"
  See Also:
    `FontElement`

### BeginFontSize

    public static MarkupElement BeginFontSize(int val)

  Deprecated.
  Sets the font size to the specified integer. Font size 3 is the default. Obsolete in 2.1. Prefer a method in the FontElement class.

  Parameters:
    `val` - Font size in points
  See Also:
    `FontElement`

### BeginFontFace

    public static MarkupElement BeginFontFace(java.lang.String face)

  Deprecated.
  Sets a font face. Use with EndFont to set a font face for a container with several HtmlElements.

  Parameters:
    `face` - Name of a font face in double quotes

### BeginHeader

    public static MarkupElement BeginHeader(int val)

  Deprecated.
  Sets a heading size. Obsolete in 2.1. Prefer a method in the HeadingElement class.

  Parameters:
    `val` - Heading size (1-6)

### EndHeader

    public static MarkupElement EndHeader(int val)

  Deprecated.
  Ends a heading container. Closes a BeginHeader(int val) Markup Element. Obsolete in 2.1. Prefer a method in the HeadingElement class.

  Parameters:
    `val` - Heading size (1-6)

### output

    public void output(java.io.OutputStream out)
                throws java.io.IOException

  Deprecated.

  Overrides:
    output in class HtmlElement

### output

    public void output(java.io.OutputStream out,
                       java.lang.String codeset)
                throws java.io.IOException

  Deprecated.

  Overrides:
    output in class HtmlElement

### output

    public void output(java.io.PrintWriter pw)
                throws java.io.IOException

  Deprecated.

  Overrides:
    output in class HtmlElement

### setContents

    public MarkupElement setContents(java.lang.String val)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD